Package org.silverpeas.components.classifieds.service

## Class ScheduledUnpublishExpiredClassifieds

- java.lang.Object
- - org.silverpeas.components.classifieds.service.ScheduledUnpublishExpiredClassifieds

- All Implemented Interfaces:
    `org.silverpeas.core.initialization.Initialization`, `org.silverpeas.core.scheduler.SchedulerEventListener`

      @Service
      public class ScheduledUnpublishExpiredClassifieds
      extends Object
      implements org.silverpeas.core.scheduler.SchedulerEventListener, org.silverpeas.core.initialization.Initialization

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CLASSIFIEDSENGINE_JOB_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduledUnpublishExpiredClassifieds()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doScheduledDeleteClassifieds()` |
    `void` | `init()` |
    `void` | `jobFailed​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)` |
    `void` | `jobSucceeded​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)` |
    `void` | `triggerFired​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.initialization.Initialization

      `getPriority, release`

- - ### Field Detail

    - #### CLASSIFIEDSENGINE_JOB_NAME

          public static final String CLASSIFIEDSENGINE_JOB_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScheduledUnpublishExpiredClassifieds

          public ScheduledUnpublishExpiredClassifieds()

  - ### Method Detail

    - #### init

          public void init()
                    throws Exception

      Specified by:
        `init` in interface `org.silverpeas.core.initialization.Initialization`
      Throws:
        `Exception`

    - #### doScheduledDeleteClassifieds

          public void doScheduledDeleteClassifieds()

    - #### triggerFired

          public void triggerFired​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)

      Specified by:
        `triggerFired` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

    - #### jobSucceeded

          public void jobSucceeded​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)

      Specified by:
        `jobSucceeded` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

    - #### jobFailed

          public void jobFailed​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)

      Specified by:
        `jobFailed` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`